- NAME
- DESCRIPTION
- METHODS
  - Scheme
  - LocalURIPrefix
  - IsLocal
  - URIForObject RT::Group
  - ParseURI URI
  - Object
  - HREF
  - AsString

# NAME

RT::URI::user - Internal URIs for linking to an RT::User

# DESCRIPTION

This class should rarely be used directly, but via RT::URI instead.

Represents, parses, and generates internal RT URIs such as:

        user:42
        user://example.com/42

These URIs are used to link between objects in RT such as referencing an RT user record from a ticket in the Links section.

# METHODS

Much of the interface below is dictated by RT::URI and RT::URI::base.

## Scheme

Return the URI scheme for groups

## LocalURIPrefix

Returns the site-specific prefix for a local group URI

## IsLocal

Returns a true value, the grouup ID, if this object represents a local group, undef otherwise.

## URIForObject RT::Group

Returns the URI for a local RT::Group object

## ParseURI URI

Primarily used by RT::URI to set internal state.

Figures out from an `user:` URI whether it refers to a local user and the user ID.

Returns the user ID if local, otherwise returns false.

## Object

Returns the object for this URI, if it's local. Otherwise returns undef.

## HREF

If this is a local group, return an HTTP URL for it.

Otherwise, return its URI.

## AsString

Returns a description of this object

← Back to index